import { QueryOptions, QueryCallback } from 'resolve-client';
import { QueryBuilder, QueryExecutor } from './use-query';
declare function useQueryBuilder<T>(builder: QueryBuilder<T>): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, options: QueryOptions): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, callback: QueryCallback): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, dependencies: any[]): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, callback: QueryCallback, dependencies: any[]): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, options: QueryOptions, callback: QueryCallback): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, options: QueryOptions, dependencies: any[]): QueryExecutor<T>;
declare function useQueryBuilder<T>(builder: QueryBuilder<T>, options: QueryOptions, callback: QueryCallback, dependencies: any[]): QueryExecutor<T>;
export { useQueryBuilder };
